Bug 170221 - [MAINTAINER-UPDATE] sysutils/bacula-server upgrade to latest version
Summary: [MAINTAINER-UPDATE] sysutils/bacula-server upgrade to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-27 20:50 UTC by Dan Langille
Modified: 2012-07-29 20:35 UTC (History)
1 user (show)

See Also:


Attachments
patch-sysutils-bacula-server.5.2.10 (4.65 KB, text/plain)
2012-07-27 20:50 UTC, Dan Langille
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2012-07-27 20:50:08 UTC

    
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-07-28 16:34:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it. Hi, Dan. The patch seems reverted. Would you please fix?
Comment 2 dfilter service freebsd_committer 2012-07-29 20:14:06 UTC
Author: rm
Date: Sun Jul 29 19:13:53 2012
New Revision: 301691
URL: http://svn.freebsd.org/changeset/ports/301691

Log:
  - update to 5.2.10
  
  PR:		170221
  Submitted by:	Dan Langille <dan at langille dot org> (maintainer)

Modified:
  head/sysutils/bacula-server/Makefile
  head/sysutils/bacula-server/distinfo
  head/sysutils/bacula-server/files/patch-src__cats__Makefile.in
  head/sysutils/bacula-server/files/patch-src__lib__Makefile.in

Modified: head/sysutils/bacula-server/Makefile
==============================================================================
--- head/sysutils/bacula-server/Makefile	Sun Jul 29 19:12:38 2012	(r301690)
+++ head/sysutils/bacula-server/Makefile	Sun Jul 29 19:13:53 2012	(r301691)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	bacula
-DISTVERSION=	5.2.6
+DISTVERSION=	5.2.10
 CATEGORIES?=	sysutils
 MASTER_SITES=	SF/bacula/bacula/${PORTVERSION}
 

Modified: head/sysutils/bacula-server/distinfo
==============================================================================
--- head/sysutils/bacula-server/distinfo	Sun Jul 29 19:12:38 2012	(r301690)
+++ head/sysutils/bacula-server/distinfo	Sun Jul 29 19:13:53 2012	(r301691)
@@ -1,2 +1,2 @@
-SHA256 (bacula-5.2.6.tar.gz) = 7cc60df4eccae0c71c26d2cdb4b1a2524f95e880913264cf4f4fcc7a5d949927
-SIZE (bacula-5.2.6.tar.gz) = 4035050
+SHA256 (bacula-5.2.10.tar.gz) = 51f311e6c51d6c9575ca458cd63198c6984eeaaff4ce6f334ff82bc999b8b360
+SIZE (bacula-5.2.10.tar.gz) = 4110586

Modified: head/sysutils/bacula-server/files/patch-src__cats__Makefile.in
==============================================================================
--- head/sysutils/bacula-server/files/patch-src__cats__Makefile.in	Sun Jul 29 19:12:38 2012	(r301690)
+++ head/sysutils/bacula-server/files/patch-src__cats__Makefile.in	Sun Jul 29 19:13:53 2012	(r301691)
@@ -1,5 +1,5 @@
---- src/cats/Makefile.in.orig	2012-02-22 18:25:23.737400137 +0100
-+++ src/cats/Makefile.in	2012-02-22 19:11:42.503509829 +0100
+--- src/cats/Makefile.in~	2012-06-28 14:52:03.000000000 +0000
++++ src/cats/Makefile.in	2012-07-27 14:40:29.000000000 +0000
 @@ -142,25 +142,25 @@
  
  libbacsql.la: Makefile $(LIBBACSQL_LOBJS)
@@ -16,18 +16,18 @@
  	@echo "Making $@ ..."
 -	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(MYSQL_LOBJS) -export-dynamic -rpath $(libdir) -release $(LIBBACCATS_LT_RELEASE) \
 +	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(MYSQL_LOBJS) -export-dynamic -rpath $(libdir) -version-info 5 \
-                                                            -soname libbaccats-$(LIBBACCATS_LT_RELEASE).so $(MYSQL_LIBS)
+ 							   -soname libbaccats-$(LIBBACCATS_LT_RELEASE).so $(MYSQL_LIBS)
  
  libbaccats-postgresql.la: Makefile $(POSTGRESQL_LOBJS)
  	@echo "Making $@ ..."
 -	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(POSTGRESQL_LOBJS) -export-dynamic -rpath $(libdir) -release $(LIBBACCATS_LT_RELEASE) \
 +	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(POSTGRESQL_LOBJS) -export-dynamic -rpath $(libdir) -version-info 5 \
-                                                            -soname libbaccats-$(LIBBACCATS_LT_RELEASE).so $(POSTGRESQL_LIBS)
+ 							   -soname libbaccats-$(LIBBACCATS_LT_RELEASE).so $(POSTGRESQL_LIBS)
  
  libbaccats-sqlite3.la: Makefile $(SQLITE_LOBJS)
  	@echo "Making $@ ..."
 -	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(SQLITE_LOBJS) -export-dynamic -rpath $(libdir) -release $(LIBBACCATS_LT_RELEASE) \
 +	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(SQLITE_LOBJS) -export-dynamic -rpath $(libdir) -version-info 5 \
-                                                            -soname libbaccats-$(LIBBACCATS_LT_RELEASE).so $(SQLITE_LIBS)
+ 							   -soname libbaccats-$(LIBBACCATS_LT_RELEASE).so $(SQLITE_LIBS)
  
  #libbaccats-ingres.la: Makefile $(INGRES_LOBJS)

Modified: head/sysutils/bacula-server/files/patch-src__lib__Makefile.in
==============================================================================
--- head/sysutils/bacula-server/files/patch-src__lib__Makefile.in	Sun Jul 29 19:12:38 2012	(r301690)
+++ head/sysutils/bacula-server/files/patch-src__lib__Makefile.in	Sun Jul 29 19:13:53 2012	(r301691)
@@ -4,7 +4,7 @@
  
  libbac.la: Makefile $(LIBBAC_LOBJS)
  	@echo "Making $@ ..."
--	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(LIBBAC_LOBJS) -export-dynamic -rpath $(libdir) -release $(LIBBAC_LT_RELEASE) $(WRAPLIBS) $(CAP_LIBS) $(ZLIBS) $(OPENSSL_LIBS) $(LIBS)
+-	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(LIBBAC_LOBJS) -export-dynamic -rpath $(libdir) -release $(LIBBAC_LT_RELEASE) $(WRAPLIBS) $(CAP_LIBS) $(ZLIBS) $(OPENSSL_LIBS) $(LIBS) $(DLLIBS)
 +	$(LIBTOOL_LINK) $(CXX) $(DEFS) $(DEBUG) $(LDFLAGS) -o $@ $(LIBBAC_LOBJS) -export-dynamic -rpath $(libdir) -version-info 5 $(WRAPLIBS) $(CAP_LIBS) $(ZLIBS) $(OPENSSL_LIBS) $(LIBS)
  
  libbaccfg.a: $(LIBBACCFG_OBJS) 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-07-29 20:35:57 UTC
State Changed
From-To: open->closed

Committed, thank you! pkg-plist change is not committed - this file is 
still installed.